﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;
using System.Windows.Controls.Primitives;

namespace WpfApplication13
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
		}

		private void Window_Initialized(object sender, EventArgs e)
		{
			this.xamDataGrid1.DataSource = new MyFiles();
			this.xamDataGrid2.DataSource = new MyFolders();
		}
	}

	public class MyFiles : ObservableCollection<MyFileObject>
	{
		public MyFiles()
		{
			this.Add(new MyFileObject("File1"));
			this.Add(new MyFileObject("File2"));
			this.Add(new MyFileObject("File3"));
			this.Add(new MyFileObject("File4"));
			this.Add(new MyFileObject("File5"));
		}
	}

	public class MyFileObject
	{
		private string _name;

		public MyFileObject()
		{
		}

		public MyFileObject(string name)
		{
			this._name = name;
		}

		public string Name		{
			get { return this._name; }
			set { this._name = value; }
		}
	}


	public class MyFolders : ObservableCollection<MyFolderObject>
	{
		public MyFolders()
		{
			this.Add(new MyFolderObject("Folder1"));
			this.Add(new MyFolderObject("Folder2"));
			this.Add(new MyFolderObject("Folder3"));
			this.Add(new MyFolderObject("Folder4"));
			this.Add(new MyFolderObject("Folder5"));
		}
	}

	public class MyFolderObject
	{
		private string _name;

		public MyFolderObject()
		{
		}

		public MyFolderObject(string name)
		{
			this._name = name;
		}

		public string Name
		{
			get { return this._name; }
			set { this._name = value; }
		}
	}

	/// <summary>
	/// Returns a brush that depends on the record type.
	/// </summary>
	public class CvpIconConverter : IValueConverter
	{
		#region IValueConverter Members

		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			DataRecord dataRecord = value as DataRecord;
			if (dataRecord != null)
			{
				if (dataRecord.DataItem is MyFileObject)
					return new BitmapImage(new Uri("pack://application:,,,/Images/File.png"));
				else
				if (dataRecord.DataItem is MyFolderObject)
					return new BitmapImage(new Uri("pack://application:,,,/Images/Folder.png"));
			}

			return null;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}

		#endregion
	}
}
